Search documentation of polar_express

# PolarExpress.Schemas.Member (polar_express v0.1.5)

Copy Markdown View Source

Member

A member of a customer.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.Member{
      created_at: DateTime.t() | nil,
      customer_id: String.t() | nil,
      email: String.t() | nil,
      external_id: String.t() | nil,
      id: String.t() | nil,
      modified_at: DateTime.t() | nil,
      name: String.t() | nil,
      role: PolarExpress.Schemas.MemberRole.t() | nil
    }

- `created_at` - Creation timestamp of the object. Format: date-time.
- `customer_id` - The ID of the customer this member belongs to. Format: uuid4.
- `email` - The email address of the member.
- `external_id` - The ID of the member in your system. This must be unique within the customer. Nullable.
- `id` - The ID of the member. Format: uuid4.
- `modified_at` - Last modification timestamp of the object. Nullable.
- `name` - The name of the member. Nullable.
- `role` - The role of the member within the customer.

## Functions

# schema_name()